@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,900');

* {
    margin: 0;
    padding: 0;
    font-family: 'Source Sans Pro', sans-serif;
}

body {
    height: 
}

.content-images {
    width: 100%;
    height: 100vh;
    background-image:url(./img/banner.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.content-info-banner {
    width: 100%;
    height: 100vh;
    margin-top: -100vh;
    /*background-image: linear-gradient(to bottom right, rgba(14, 36, 49, 0.59),rgba(252, 58, 82, 0.59));*/
    background: rgba(252, 58, 82, 0.72);
}

.name-links {
    width: 840px;
    height: 100%;
    margin: auto;
    display: flex;
    align-items: center;
    position: relative;

}

.name {
    position: relative;
}

.name {
    width: 100%;
    height: 100px;
    color: white;
    display: flex;
    align-items: center;
    position: relative;
}

.name h1 {
    margin: auto;
    font-size: 90px;
    font-weight: 600;
    color: #E8D5B7;
    text-transform: uppercase;
    transition: 0.5s;
}

.name h1:after {
    content: 'Front-End Developer';
    color: white;
    font-size: 30px;
    position: absolute;
    bottom: -45px;
    right: 0;
    left: 0;
    width: 100%;
    text-align: center;
    font-family: 'Source Sans Pro', sans-serif;
}

.links {
    position: absolute;
    bottom: 30px;
    width: 50%;
    margin: auto;
    left: 0;
    right: 0;
}

.links ul {
    display: flex;
    justify-content: space-around;
    font-size: 33px;
}

.links ul a {
    color: white;
    transition: 0.5s;
}

.links ul a:hover{
    color: #e8d5b6;
    transform: rotate(360deg);
    transition: 0.5s;
}

.nav-bar {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    
}

.scroll{
    background: rgb(249, 177, 72);
    border-bottom: 4px solid white;
    position: fixed;
    top: 0;
    z-index: 20;
}

 .menu {
    display: none;
}

.nav-bar ul {
    display: flex;
    list-style: none;
    width: 500px;
    margin: auto;
    justify-content: space-between;
}

.nav-bar ul li a {
    text-decoration: none;
    color: white;
    font-weight: 600;
    text-transform: capitalize;
    position: relative;
    transition: 1s all;
    font-size: 15px;
}

.nav-bar ul li a:hover:after {
    content: ' ';
    padding: 2px 0px;
    position: absolute;
    background: white;
    bottom: -9px;
    left: 0px;
    right: 0px;
    transition: 1s all;
}

.AcercaMi {
    width: 1050px;
    padding: 30px;
    box-sizing: border-box;
    margin: auto;
}

.AcercaMi .content-acercaMi h2 {
    text-align: center;
    font-size: 60px;
    color: #FC3A52;
    margin-bottom: 20px;
}

.AcercaMi .content-acercaMi {
    height: 100%;
    padding: 42px 20px;
    box-sizing: border-box;
}

.perfil-info {
    display: flex;
    justify-content: space-between;
}

.perfil,.info {
    width: 50%;
}

.perfil {
    width: 45%;
    border-right: 5px solid #fc3a52;
    transition: 0.5s;
    display: flex;
    align-items: center;
   
}

.ocultar-perfil {
    height: 240px;
    overflow: hidden;
    margin: auto;
    transition: 0.5s;
}

.ocultar-perfil:hover {
    height: 100%;
    background: white;
    transition: 0.5s;
    -webkit-box-shadow: 0px 7px 37px 0px rgba(181,180,179,1);
    -moz-box-shadow: 0px 7px 37px 0px rgba(181,180,179,1);
    box-shadow: 0px 7px 37px 0px rgba(181,180,179,1);
    padding: 20px;
    box-sizing: border-box;
    border-radius: 15px;
}

.ocultar-perfil:hover .foto-perfil {
    width: 180px;
    height: 180px;
    transition: 0.5s;
    animation: none;
}

@keyframes perfil {
    10% {    border: 4px solid #FC3850; }
    30% {    border: 4px solid #f9b248 }
   50% {    border: 4px solid #FC3850; }
    70% {    border: 4px solid #f9b248 }
   90% {    border: 4px solid #FC384F; }
}

.contactame-section {
    width: 100%;
    height: auto;
    padding: 50px;
    box-sizing: border-box;
}

.contactame-section .name-section {
    display: flex;
    align-items: center;
    width: 540px;
    border-right: 5px solid #0e2431;
    margin-bottom: 40px;
}

.contactame-section  h3 {
    font-size: 85px;
    color: #0e2431;
    font-weight: 900;
    text-transform: uppercase;
}

.contactame-section .formulario {
    width: 70%;
    height: 450px;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.contactame-section .formulario input, .contactame-section .formulario textarea{
    border: none;
    border-bottom: 3px solid #0e2431;
    padding: 10px;
    font-size: 20px;
    font-weight: 900;
    resize: none;
    outline: none;
}

.contactame-section .formulario input:focus , .contactame-section .formulario textarea:focus {
    border-bottom: 3px solid #FC384F;
}

.contactame-section .formulario button {
    background: none;
    border: 2px solid #0e2431;
    font-size: 20px;
    width: 150px;
    cursor: pointer;
    margin: auto;
    margin-bottom: 0;
    margin-top: 0px;
    transition: 0.5s;
    padding: 10px;
}

.contactame-section .formulario button:hover {
    border: 2px solid #FC384F;
    color: #FC384F;
    transition: 0.5s;
}

.info p {
    font-size: 22px;
    font-weight: 100;
}

.perfil p {
    text-align: center;
    margin-top: 30px;
    font-size: 20px;
    font-weight: 200;
}

.perfil p span {
    color: #fc3a52;
    font-weight: 600;
}

.foto-perfil {
    width: 230px;
    height: 230px;
    border: 4px solid #fc3a52;
    border-radius: 50%;
    display: flex;
    margin: auto;
    animation: perfil 5s infinite;
    transition: 0.5s;
}

.foto {
    width: 90%;
    height: 90%;
    background-image: url(./img/perfil.jpg);
    border-radius: 50%;
    margin: auto;
    background-size: cover;
}

.Conocimientos {
    width: 100%;
    height: auto;
    padding: 50px;
    box-sizing: border-box;
    background: #fc3a52;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.Conocimientos h3 {
    font-size: 25px;
    color: #fc3a52;
    margin-left: 10px;
}

.content-skills {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}

.Hab {
    width: 215px;
    height: 230px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    border-bottom: 3px solid white;
    margin-top: 20px;
    position: relative;
    overflow: hidden;
    transition: 0.5s;
    box-sizing: border-box;
    margin-right: 60px;
}


.Hab:hover .content-hab {
    bottom: 0px;
    transition: 0.5s;
    background: #ffffff;
    color: #fc3a52;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    height: 200px;
    font-size: 40px;
    font-weight: 900;
}

.Hab .content {
    margin: auto;
}

.Hab .content img {
    width: 90px;
    height: auto;
}

.Hab .content p {
    text-align: center;
    color: #F9B248;
    font-weight: 900;
    font-size: 20px;
}

.content-hab {
    width: 100%;
    height: 165px;
    background: rgba(252, 58, 82, 0);
    position: absolute;
    bottom: -110px;
    text-align: center;
    color: #ffffff;
    font-size: 30px;
    font-weight: 600;
    text-transform: capitalize;
    transition: 0.7s;
}

.content-hab div {
    margin: auto;
}

.content-hab div h3 {
    font-size: 65px;
    font-weight: 900;
    color: #e8d5b7;
}

.porfolio {
    width: 100%;
    height: auto;
    background: #0E2431;
    padding: 50px;
    box-sizing: border-box;

}

.porfolio h3 {
    font-size: 85px;
    color: #F9B248;
    font-weight: 900;
    text-transform: uppercase;
}

.name-section {
    display: flex;
    align-items: center;
    width: 540px;
    border-right: 5px solid #f9b248;
    margin-bottom: 40px;
}

.content-porfolio {
    width: 100%;
    height: 90%;
    display: flex;
    align-items: center;
}

.content-porfolio .content {
    width: 100%;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;

}

.box-porfolio {
    width: 270px;
    height: 270px;
    margin-bottom: 40px;
    margin-right: 10px;
    position: relative;
    overflow: hidden;
}

.box-porfolio:hover .hover-porfolio {
    background: rgba(249, 178, 72, 0.7);
    transition: 0.5s;
}

.box-porfolio:hover .hover-porfolio div a {
    color: white;
    transition: 0.5s;
}


.hover-porfolio {
    width: 100%;
    height: 100%;
    position: absolute;
    transition: 0.5s;
    display: flex;
    align-items: center;
}

.hover-porfolio div {
    margin: auto;
}

.hover-porfolio div a {
    color: transparent;
    font-size: 90px;
    transition: 0.5s;
}

.box-porfolio-plus {
    width: 250px;
    height: 250px;
    margin-bottom: 20px;
    margin-right: 10px;
    position: relative;
    overflow: hidden;
    background: #f9b248;
    display: flex;
    align-items: center;
}

.box-porfolio-plus div {
    margin: auto;
    text-align: center;
    color: white;
    font-size: 40px;
    font-weight: 600;
}

.box-porfolio-plus div a i{
    color: white;
}

.name-section-skill{
    display: flex;
    align-items: center;
    width: 540px;
    border-right: 5px solid white;
}

.name-section-skill h3 {
    font-size: 85px;
    color: white;
    font-weight: 900;
    text-transform: uppercase;
}

.web1 {
    background-image: url(./img/web1.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}
.web2 {
    background-image: url(./img/web2.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}
.web3 {
    background-image: url(./img/web3.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}
.web4 {
    background-image: url(./img/web4.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}
.web5 {
    background-image: url(./img/web5.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}


.hover-name {
    display: flex;
    margin: auto;
    font-size: 100px;
    font-weight: 600;
    color: #E8D5B7;
    text-transform: uppercase;
    transition: 0.5s;
    position: absolute;
    right: auto;
    left: -55px;
    justify-content: space-between;
    width: 0%;
    opacity: 0;
}

.name:hover .hover-name {
    width: 115%;
    opacity: 1;
}


@media (max-width: 1070px) {
    .AcercaMi {
        width: 100%;
        transition: 0.5s;
    }
}

@media (max-width: 1010px){
    .hover-name {
        display: none;
    }
}

@media (max-width: 880px) {
    .perfil-info {
        flex-direction: column;
        transition: 0.5s;
    }

    .perfil {
        width: 100%;
        border-right: none;
        border-bottom: 5px solid #fc3a52;
        margin-bottom: 35px;
        padding-bottom: 30px;
        transition: 0.5s;

    }

  

    .info {
        width: 100%;
        transition: 0.5s;
    }

    .AcercaMi .content-acercaMi {
        height: auto;
        transition: 0.5s;
    }

    .name h1{
        font-size: 70px;
        transition: 0.5s;
    }

    .name-links {
        width: 100%;
    }
}

@media (max-width:710px) {
    .name h1 {
        font-size: 60px;
    }
}
@media (max-width:680px) {
    .Hab{
        margin-right: 0px;
    }
}
@media (max-width:630px) {
    .name-section h3, .name-section-skill h3{
        font-size: 50px !important;
    }

    .name-section-skill, .name-section {
       width: 340px !important;
   }
}

@media (max-width:570px) {
    .nav-bar ul {
        display: none;
    }
    .menu {
        display: block !important;
        color: white;
        font-size: 35px;
    }
    .nav-bar {
        display: flex;
        align-items: flex-end;
        flex-direction: column;
        padding: 20px;
        box-sizing: border-box;
    
    }
    .name h1 {
        font-size: 50px;
        text-align: center;
    }

    .name h1:after {
        bottom: -100px;
    }
}

@media (max-width:415px){
    .Conocimientos, .porfolio, .contactame-section {
        padding: 10px;
    }
}